import { OnInit } from '@angular/core';
import { LoginService } from './../../shared/services/login.service';
import { NextPage } from '../../../modules/core/services/nextpage';
import { NavController } from 'ionic-angular';
/**
 * Generated class for the InitcomponentComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
export declare class InitComponent implements OnInit {
    navCtrl: NavController;
    private loginService;
    private nextPage;
    private metaData;
    private authMetaDataSubscription;
    constructor(navCtrl: NavController, loginService: LoginService, nextPage: NextPage);
    ngOnInit(): void;
    ionViewDidLeave(): void;
    private getMetaData();
}
