import { Storage } from '@ionic/storage';
import { Actions } from '@ngrx/effects';
import { Action, Store } from '@ngrx/store';
import 'rxjs/add/operator/do';
import 'rxjs/add/observable/of';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/switchMap';
import 'rxjs/add/operator/withLatestFrom';
import { Observable } from 'rxjs/Observable';
import { LoginAuthService } from '../../../modules/core/services/login.auth.service';
import { State } from '../reducers/index';
export declare class LoginEffects {
    private actions$;
    private store$;
    private storage;
    private _authService;
    constructor(actions$: Actions, store$: Store<State>, storage: Storage, _authService: LoginAuthService);
    load$: Observable<Action>;
    getSessions$: Observable<Action>;
    postSession$: Observable<Action>;
    submitLoginOTPForm$: Observable<Action>;
    submitLoginMultiForm$: Observable<Action>;
    submitUserName$: Observable<Action>;
    getChallengeQuestions$: Observable<Action>;
    getPredefined$: Observable<Action>;
    loadCaptchaImage$: Observable<Action>;
    getChallengeStatus$: Observable<Action>;
}
