import { Store } from '@ngrx/store';
import { State } from './../reducers/index';
export declare class LoginService {
    store: Store<State>;
    constructor(store: Store<State>);
    loadAuthMetaData(): void;
    getauthMetaData(): Store<any>;
    submitUserName(username: any): void;
    submitLoginOTPForm(loginform: any): void;
    submitLoginMultiChallengeForm(loginform: any): void;
    isUserNameSubmitSuccess(): Store<any>;
    isLoginOTPSubmitSuccess(): Store<any>;
    isLoginMultiChallengeSubmitSuccess(): Store<any>;
    getLoadingIndicator(): Store<boolean>;
    loadSessionsData(): void;
    getSessionsData(): Store<any>;
    submitPostSession(postsession: any): void;
    isPostSessionSubmitSuccess(): Store<any>;
    loadChallengeQuestionsData(): void;
    getChallengeQuestionsData(): Store<any>;
    loadPredefinedData(): void;
    getPredefinedData(): Store<any>;
    loadChallengeStatusData(): void;
    getChallengeStatusData(): Store<any>;
    loadCaptchaImage(): void;
    storeLoggedUserId(userId: any): void;
    getloginCaptchaImage(): Store<any>;
}
