import { Observable } from 'rxjs/Rx';
import { CIOAPPApi } from './cioApp-api.service';
import 'rxjs/add/operator/map';
import { CIOApiResponse } from '../../../loginmodels/cio-api-response';
import 'rxjs/add/observable/throw';
import { Http } from '@angular/http';
export declare class AuthService {
    private _api;
    http: Http;
    private reqBody;
    constructor(_api: CIOAPPApi, http: Http);
    loginWithUserName(loginData: any): Observable<CIOApiResponse>;
    loginWithChallengeQuestions(loginData: any): Observable<CIOApiResponse>;
    loginWithOTP(loginData: any): Observable<CIOApiResponse>;
    postSessions(sessionid: any): Observable<CIOApiResponse>;
    loginMetaData(): Observable<CIOApiResponse>;
    getSessions(): Observable<CIOApiResponse>;
    getchallengeQuestionslist(): Observable<CIOApiResponse>;
    getPredefinedQuestions(): Observable<CIOApiResponse>;
    getAuthFactor(): Observable<CIOApiResponse>;
    getChallengeStatus(): Observable<CIOApiResponse>;
    troubleSignInMetaData(): Observable<CIOApiResponse>;
    sendEmailToYourAccount(data: any): Observable<any>;
    sendEmailForChallengeQuestions(questionsData: any): Observable<any>;
    sendEmailForOTP(otpData: any): Observable<any>;
    getCaptchaImage(): Observable<any>;
    logout(): Observable<any>;
}
