import { TroubleService } from './../../shared/services/trouble.service';
import { FormBuilder } from '@angular/forms';
import { NavController } from 'ionic-angular';
/**
 * Generated class for the ForgotuserPage page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
export declare class ForgotuserPage {
    navCtrl: NavController;
    formBuilder: FormBuilder;
    troubleService$: TroubleService;
    private resultContainer;
    private challengeQuestions;
    private forgotForm;
    private userIdData;
    private captchaImage;
    private localconstants;
    private metaData;
    private challengeQuestionsMetaData;
    private isLoading;
    private isError;
    private focus;
    private troubleMetaDataSubscription;
    private loadingIndicatorSubscription;
    private troubleTypeSubscription;
    private captchaSubscription;
    private isEmailSentSubscription;
    private isEmailSentForChallengeQuestions;
    constructor(navCtrl: NavController, formBuilder: FormBuilder, troubleService$: TroubleService);
    setValidators(): void;
    ngOnInit(): void;
    checkFocus(): void;
    checkBlur(): void;
    getCaptcha(): void;
    onBack(): void;
    onSend(): void;
    sendEmail(userIdData: any): void;
    onSubmitQuestions(): void;
    sendChallengeQuestions(questionsData: any): void;
    onSignIn(): void;
    ionViewDidLeave(): void;
}
