import { NavController, NavParams } from 'ionic-angular';
/**
 * Generated class for the GoogleAuthenticatorPage page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
export declare class GoogleAuthenticatorPage {
    navCtrl: NavController;
    navParams: NavParams;
    localconstants: {
        loginName: string;
        captcha: string;
        remember: string;
        password: string;
        otpPin: string;
        otpMessage: string;
        sessionsInstructions: string;
        sessionStartTime: string;
        sessionUUID: string;
        'DICT.COMMON_FIELDS.PROCEED_BUTTON': string;
        'DICT.COMMON_FIELDS.LOGIN_LOGIN': string;
        'DICT.COMMON.CANCEL': string;
        currentStep: string;
        browserFields: string;
        username: string;
        displayOtp: string;
        showcaptcha: string;
        imageURL: string;
        questions: any[];
        idpURL: string;
        issueType: string;
        troubleSignInData: string;
        userPassword: string;
        backButtonText: string;
        proceedButtonText: string;
        sendButtonText: string;
        signIn: string;
        emailAddress: string;
        challengeQuestions: {
            description: string;
            id: string;
            emailOrLoginID: string;
            questions: any[];
            answers: any[];
        };
        otpRecovery: {
            title: string;
            select_how_you_would_like_to_recieve_your_OneTimePIN: string;
            text_me: string;
            use_authenticator_app: string;
            select_problem: string;
            i_dont_know_my_one_time_pin_device: string;
            i_want_to_reset_my_one_time_pin_device: string;
            message: string;
            select_one_of_the_supported_authenticator_apps_you_would_like_to_use: string;
            google_Authenticator: string;
            microsoft_Authenticator: string;
            install_the_free: string;
            app_if_you_have_not_already_done_so: string;
            after_you_log_in_using_your_Gmail_credentials_hit_the_icon_to_add_an_account: string;
            select_Manual_Entry_and_enter_the_following_code: string;
            enter_the_time_sensitive_code_generated_for_this_account: string;
            in_the_app_add_an_account_and_chooose_Other_from_the_list_of_account_types: string;
            enter_the_following_code_into_the_app: string;
        };
        unlockAccount: {
            title: string;
            emailAddress: string;
        };
        cioError: {
            successMessage: string;
            errorMessage: string;
        };
    };
    constructor(navCtrl: NavController, navParams: NavParams);
    ionViewDidLoad(): void;
    onBack(): void;
    onSignIn(): void;
}
