import { Action } from "@ngrx/store/src";
export declare const LOAD_TROUBLE_SIGNIN = "[TroubleSignIn] Load Trouble SignIn";
export declare const LOAD_TROUBLE_SIGNIN_SUCCESS = "[TroubleSignIn] Load Trouble SignIn Success";
export declare const SUBMIT_TROUBLE_TYPE = "[TroubleSignIn] Submit Trouble Type";
export declare const SUBMIT_TROUBLE_TYPE_SUCCESS = "[TroubleSignIn] Submit Trouble Type Sucess";
export declare const LOAD_CAPTCHA_IMAGE = "[TroubleSignIn] Load Captcha";
export declare const LOAD_CAPTCHA_IMAGE_SUCCESS = "[TroubleSignIn] Load Captcha Success";
export declare const LOAD_CAPTCHA_IMAGE_FAIL = "[TroubleSignIn] Load Captcha Fail";
export declare const LOAD_INDICATOR = "[TroubleSignIn] LOAD_INDICATOR";
export declare const SEND_EMAIL = "[TroubleSignIn] Send Email";
export declare const SEND_EMAIL_SUCCESS = "[TroubleSignIn] Send EMail Success";
export declare const SEND_EMAIL_FAIL = "[TroubleSignIn] Send Email Fails";
export declare const RESET_STATE = "[TroubleSignIn] Reset State";
export declare const SEND_EMAIL_CHALLENGE_QUESTIONS = "[TroubleSignIn] Send Email Challenge Questions";
export declare const SEND_EMAIL_CHALLENGE_QUESTIONS_SUCCESS = "[TroubleSignIn] Send Email Challenge Questions Success";
export declare const SEND_EMAIL_CHALLENGE_QUESTIONS_FAIL = "[TroubleSignIn] Send Email Fails";
export declare const SEND_OTP_INFO_EMAIL = "[TroubleSignIn] Send OTP Info Email";
export declare const SEND_OTP_INFO_EMAIL_SUCCESS = "[TroubleSignIn] Send OTP Info Email Success";
export declare const SEND_OTP_INFO_EMAIL_FAIL = "[TroubleSignIn] Send Email Fails";
export declare const UPDATE_ERROR_STATUS_FALSE = "[TroubleSignIn] Update Error Status False";
export declare class LoadTroubleSignInMetaData implements Action {
    readonly type: string;
}
export declare class LoadTroubleSignInSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitTroubleTypeAction implements Action {
    payload: string;
    readonly type: string;
    constructor(payload: string);
}
export declare class TroubleTypeSuccessAction implements Action {
    payload: string;
    readonly type: string;
    constructor(payload: string);
}
export declare class LoadCaptchaImage implements Action {
    readonly type: string;
}
export declare class LoadCaptchaImageSuccess implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class LoadCaptchaImageFail implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class LoadIndicatorAction implements Action {
    payload: boolean;
    readonly type: string;
    constructor(payload: boolean);
}
export declare class SendEmailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendEmailSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendEmailFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class ResetState implements Action {
    readonly type: string;
}
export declare class SendEmailChallengeQuestionsAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendEmailChallengeQuestionsSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendEmailChallengeQuestionsFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendOTPInfoAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendOTPInfoSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SendOTPInfoFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class updateErrorStatus implements Action {
    payload: boolean;
    readonly type: string;
    constructor(payload: boolean);
}
export declare type All = LoadTroubleSignInMetaData | LoadTroubleSignInSuccessAction | SubmitTroubleTypeAction | TroubleTypeSuccessAction | LoadCaptchaImage | LoadCaptchaImageSuccess | LoadCaptchaImageFail | LoadIndicatorAction | SendEmailAction | SendEmailSuccessAction | SendEmailFailAction | ResetState | SendEmailChallengeQuestionsAction | SendEmailChallengeQuestionsSuccessAction | SendEmailChallengeQuestionsFailAction | SendOTPInfoAction | SendOTPInfoSuccessAction | SendOTPInfoFailAction | updateErrorStatus;
