# testlogin 
This project was generated with [generator-angular2-library](https://github.com/jvandemo/generator-angular2-library) version 11.2.0 
 and [ionic-cli](https://github.com/driftyco/ionic-cli) version 3.7.0


### <a name="pre-install"></a>Pre-Install Commands
```
npm install -g yo
npm install -g generator-angular2-library 


## Installation of Library
- Download The ruf-ionic-login - https://services.sungard.com/git/projects/RUFM/repos/ruf-ionic-login/browse
- Run npm i


## Development
To generate all `*.js`, `*.d.ts` and `*.metadata.json` files:

```bash
$ npm run build
```

To lint all `*.ts` files:

```bash

- Go to project dist directory 
$ npm run lint
```
### Build
  - Libraby project Build steps

  - Run `npm run build` to build the project. 
  - The build artifacts will be stored in the `dist/` directory. 

 
 
```
## <a name="get-started"></a>Getting Started
### Development server

  - In target enter npm link <package name>
  ```typescript
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';

// Import your library
import { SampleModule } from 'testlogin';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,

    // Specify your library as an import
    LibraryModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
```

Once your library is imported, you can use its components, directives and pipes in your Angular application:

```xml
<!-- You can now use your library component in app.component.html -->
 
<header></header>
```
  - Run `ionic serve` for a dev server. 
  - Navigate to `http://localhost:8100/`. 
  - The app will automatically reload if you change any of the source files.



## Consuming your library

Once you have published your library to npm, you can import your library in any Angular application by running:

```bash
$ npm install testlogin
``` 





## License

MIT © [Sunitha, Vobireddy](mailto:Vobireddy.Sunitha@fisglobal.com)
