import { OnInit } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { LoginService } from './../../shared/services/login.service';
import { NextPage } from '../../../modules/core/services/nextpage';
import { Subscription } from "rxjs/Subscription";
/**
 * Generated class for the SessionsPage page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
export declare class SessionsPage implements OnInit {
    navCtrl: NavController;
    navParams: NavParams;
    private loginService;
    private _nextPage;
    sessionList: any;
    sessionsMetaData: Subscription;
    postSessionMetaData: Subscription;
    checkedIdx: any;
    private templist;
    private postmetaData;
    private loader;
    private isLoading;
    private loadingIndicatorSubscription;
    constructor(navCtrl: NavController, navParams: NavParams, loginService: LoginService, _nextPage: NextPage);
    ngOnInit(): void;
    ionViewDidLoad(): void;
    datachanged(e: any): void;
    sessionLogout(): void;
}
