import { Action } from '@ngrx/store';
export declare const GET_AUTH_META_DATA = "[Login] Get Auth Meta Data";
export declare const GET_AUTH_META_DATA_SUCCESS = "[Login] Get Auth Meta Data Success";
export declare const GET_AUTH_META_DATA_FAIL = "[Login] Get Auth Meta Data Fail";
export declare const SUBMIT_USERNAME_TYPE = "[Login] Submit username";
export declare const SUBMIT_USERNAME_TYPE_SUCCESS = "[Login] Submit username Success";
export declare const SUBMIT_USERNAME_TYPE_FAIL = "[Login] Submit username Fail";
export declare const SUBMIT_LOGINFORM_OTP_TYPE = "[Login] Submit LoginOtpform";
export declare const SUBMIT_LOGINFORM_OTP_TYPE_SUCCESS = "[Login] Submit LoginOtpform Success";
export declare const SUBMIT_LOGINFORM_OTP_TYPE_FAIL = "[Login] Submit LoginOtpform Fail";
export declare const SUBMIT_LOGINFORM_TYPE_FAIL = "[Login] Submit Loginform Fail";
export declare const GET_SESSION_DATA = "[Login] Get Sessions List";
export declare const GET_SESSION_SUCCESS = "[Login] Get Sessions List Success";
export declare const POST_SESSION_DATA = "[Login] post Sessions List";
export declare const POST_SESSION_SUCCESS = "[Login] post Sessions List Success";
export declare const POST_SESSION_FAIL = "[Login] post Sessions List Fail";
export declare const SUBMIT_MULTICHALLENGE_FORMTYPE = "[Login] Submit LoginMultiform";
export declare const SUBMIT_MULTICHALLENGE_FORMTYPE_SUCCESS = "[Login] Submit LoginMultiform Success";
export declare const SUBMIT_MULTICHALLENGE_FORMTYPE_FAIL = "[Login] Submit LoginMultiform Fail";
export declare const LOAD_CAPTCHA_IMAGE = "Load Captcha";
export declare const LOAD_CAPTCHA_IMAGE_SUCCESS = "Load Captcha Success";
export declare const GET_CHALLENGE_DATA = "[Login] Get Challenge List";
export declare const GET_CHALLENGE_DATA_SUCCESS = "[Login] Get Challenge List Success";
export declare const GET_PREDEFINED_DATA = "[Login] Get Predefined List";
export declare const GET_PREDEFINED_DATA_SUCCESS = "[Login] Get Predefined List Success";
export declare const GET_CHALLENGE_STATUS_DATA = "[Login] Get Challenge Status List";
export declare const GET_CHALLENGE_STATUS_DATA_SUCCESS = "[Login] Get Challenge Status List Success";
export declare const STORE_LOGGED_USER_ID = "[Login] Storing logged user id in state";
export declare class GetAuthMetaDataAction implements Action {
    readonly type: string;
}
export declare class GetAuthMetaDataSucessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class GetAuthMetaDataFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitUsernameAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitUsernameSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitUsernameFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitLoginOtpformAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitLoginformOtpSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitLoginformOtpFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitLoginMultiformAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitLoginformMultiSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class SubmitLoginformMultiFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class GetsessionsAction implements Action {
    readonly type: string;
}
export declare class GetSessionsSucessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class PostSessionAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class PostSessionSuccessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class PostSessionFailAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class GetChallengeDataAction implements Action {
    readonly type: string;
}
export declare class GetChallengeDataSucessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class GetPredefinedDataAction implements Action {
    readonly type: string;
}
export declare class GetPredefinedSucessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class GetChallengeStatusDataAction implements Action {
    readonly type: string;
}
export declare class GetChallengeStatusSucessAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class LoadCaptchaImage implements Action {
    readonly type: string;
}
export declare class LoadCaptchaImageSuccess implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare class StoreLoggedUserIdAction implements Action {
    payload: any;
    readonly type: string;
    constructor(payload: any);
}
export declare type All = GetAuthMetaDataAction | GetAuthMetaDataSucessAction | GetAuthMetaDataFailAction | SubmitUsernameAction | SubmitUsernameSuccessAction | SubmitUsernameFailAction | SubmitLoginOtpformAction | SubmitLoginformOtpSuccessAction | SubmitLoginformOtpFailAction | SubmitLoginMultiformAction | SubmitLoginformMultiSuccessAction | SubmitLoginformMultiFailAction | SubmitUsernameFailAction | GetsessionsAction | GetSessionsSucessAction | PostSessionAction | PostSessionSuccessAction | PostSessionFailAction | GetChallengeDataAction | GetChallengeDataSucessAction | GetChallengeStatusDataAction | GetChallengeStatusSucessAction | GetPredefinedDataAction | LoadCaptchaImage | LoadCaptchaImageSuccess | GetPredefinedSucessAction | SubmitLoginformOtpFailAction | SubmitLoginformMultiFailAction | StoreLoggedUserIdAction;
