import { Observable } from 'rxjs/Observable';
import { Http, RequestOptionsArgs } from '@angular/http';
import 'rxjs/add/observable/throw';
import { CIOApiResponse } from '../../../loginmodels/cio-api-response';
export declare class CIOAPPApi {
    private _http;
    private baseUrl;
    constructor(_http: Http, baseUrl?: string);
    getHeaders(): any;
    get(path: string, options?: RequestOptionsArgs): Observable<CIOApiResponse>;
    post(path: string, body: any, options?: RequestOptionsArgs): Observable<CIOApiResponse>;
    put(path: string, body: any, options?: RequestOptionsArgs): Observable<CIOApiResponse>;
    delete(path: string, options?: RequestOptionsArgs): Observable<CIOApiResponse>;
    patch(path: string, body: any, options?: RequestOptionsArgs): Observable<CIOApiResponse>;
    head(path: string, options?: RequestOptionsArgs): Observable<CIOApiResponse>;
    _toCIOApiResponse(response: any): CIOApiResponse;
    _toCIOApiDeleteResponse(response: any): CIOApiResponse;
}
