import { TroubleService } from './../../../shared/services/trouble.service';
import { NavController } from 'ionic-angular';
import { FormBuilder, FormControl } from '@angular/forms';
/**
 * Generated class for the OtpRecoveryTextPage page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
export declare class OtpRecoveryTextPage {
    navCtrl: NavController;
    formBuilder: FormBuilder;
    troubleService$: TroubleService;
    private isLoading;
    private otpRecoveryTextForm;
    private resultContainer;
    private problemsView;
    private localconstants;
    private captchaImage;
    private otpData;
    private otpInfo;
    private userData;
    private isError;
    private troubleMetaDataSubscription;
    private loadingIndicatorSubscription;
    private troubleTypeSubscription;
    private isEmailSentSubscription;
    private isEmailSentForOTPFlow;
    private captchaSubscription;
    constructor(navCtrl: NavController, formBuilder: FormBuilder, troubleService$: TroubleService);
    ngOnInit(): void;
    checkFocus(): void;
    setForms(): void;
    setValidators(): void;
    stripText(control: FormControl): void;
    onBack(): void;
    onProblemView(): void;
    getCaptcha(): void;
    onSend(): void;
    sendEmailForOTP(otpInfo: any): void;
    onSignIn(): void;
    ionViewDidLeave(): void;
}
