import { AuthService } from '../../../modules/core/services/auth.service';
import { Actions } from '@ngrx/effects';
import { Action, Store } from '@ngrx/store';
import { TroubleState } from '../troublereducers';
import { Storage } from '@ionic/storage';
import 'rxjs/add/operator/do';
import 'rxjs/add/observable/of';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/switchMap';
import 'rxjs/add/operator/withLatestFrom';
import 'rxjs/Rx';
import { Observable } from 'rxjs/Observable';
export declare class TroubleSignInEffects {
    private actions$;
    private store$;
    private storage;
    private _authService;
    constructor(actions$: Actions, store$: Store<TroubleState>, storage: Storage, _authService: AuthService);
    loadTrouble$: Observable<Action>;
    navigate$: Observable<Action>;
    loadCaptchaImage$: Observable<Action>;
    sendEmail$: Observable<Action>;
    sendEmailChallengeQuestions$: Observable<Action>;
    sendEmailOTPInfo$: Observable<Action>;
}
