import { TroubleState } from './../troublereducers/index';
import { Store } from '@ngrx/store';
export declare class TroubleService {
    store: Store<TroubleState>;
    constructor(store: Store<TroubleState>);
    loadTroubleSignInMetaData(): void;
    addTroubleSignInType(value: any): void;
    getTroubleSignInMetaData(): Store<any>;
    getTroubleType(): Store<string>;
    loadCaptchaImage(): void;
    getCaptchaImage(): Store<string>;
    getLoadingIndicator(): Store<boolean>;
    sendEmail(userData: any): void;
    isEmailSentSuccess(): Store<null>;
    resetState(): void;
    sendChallengeQuestions(questionsData: any): void;
    isEmailSentSuccessForChallengeQuestions(): Store<boolean>;
    sendEmailForOTP(otpInfo: any): void;
    isEmailSentSuccessForOTPFlow(): Store<boolean>;
    getErrorStatus(): Store<string>;
    getSuccessMessageStatus(): Store<string>;
    updateErrorStatus(): void;
}
