import { TroubleSignInState, troubleSignInReducers } from './trouble.reducers';
export interface TroubleState {
    troublesModule: TroubleSignInState;
}
export declare const troublereducers: typeof troubleSignInReducers;
export declare const getTroubleState: (state: TroubleState) => TroubleSignInState;
export declare const getTroubleSignInMetaData: (state: TroubleState) => any;
export declare const getLoading: (state: TroubleState) => boolean;
export declare const getTroubleType: (state: TroubleState) => string;
export declare const getCaptchaImage: (state: TroubleState) => string;
export declare const getEmailSuccess: (state: TroubleState) => null;
export declare const getEmailSuccessForChallengeQuestions: (state: TroubleState) => boolean;
export declare const getEmailSuccessForOTPFlow: (state: TroubleState) => boolean;
export declare const getErrorStatus: (state: TroubleState) => string;
export declare const getSuccessMessage: (state: TroubleState) => string;
